import Layout from '@/layout'

export default [ // 所有的默认公有路由
  {
    path: '/',
    component: Layout,
    children: [
      {
        path: '/',
        component: () => import('@/views/PageIndex'),
        name: 'PageIndex',
        meta: { title: '常来信箱', icon: '常来信箱', affix: true }
      }
    ]
  },
  {
    path: '/redirect',
    component: Layout,
    hidden: true,
    children: [
      {
        path: '/redirect/:path*',
        component: () => import('@/views/PageRedirect')
      }
    ]
  },
  {
    path: '/login',
    component: () => import('@/views/PageLogin'),
    hidden: true
  },
  {
    path: '/404',
    component: () => import('@/views/Page404'),
    hidden: true,
    meta: { title: '404' }
  },
  {
    path: '/app',
    component: () => import('@/views/app'),
    hidden: true,
    meta: { title: '留言板' }
  },
  {
    path: '/detail',
    component: () => import('@/views/app/detail'),
    hidden: true,
    meta: { title: '快捷回复' }
  },
  {
    path: '/all',
    component: () => import('@/views/app/all'),
    hidden: true,
    meta: { title: '留言板' }
  },
  {
    path: '/change-password',
    component: Layout,
    redirect: '/change-password/',
    hidden: true,
    children: [
      {
        path: '/',
        component: () => import('@/views/PageChangePassword'),
        name: 'PageChangePassword',
        meta: { title: '修改密码', noCache: true }
      }
    ]
  }
]
